Page MenuHomePhabricator

Step 1: bail-out for statement groups with more than one value (impact: high)
Closed, ResolvedPublic5 Estimated Story Points

Description

Problem:
When trying to edit a statement group with more than one value we only tell the user "an error occurred". We should provide them with a more meaningful message and send them to Wikidata.

Screenshots/mockups:


Figma mocks (see screen with ticket number)

BDD
GIVEN a statement group with more than one value
WHEN trying to edit it in the Bridge
THEN a message redirecting the user to the repository is shown
AND the values can't be edited

Acceptance criteria:

  • statement groups with more than one value trigger the bailout screen

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptDec 9 2019, 1:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher renamed this task from Step 1: bail-out for statement groups with more than one value to Step 1: bail-out for statement groups with more than one value (impact: high).Dec 9 2019, 1:41 PM
Lydia_Pintscher assigned this task to Charlie_WMDE.
Lydia_Pintscher triaged this task as High priority.
Lydia_Pintscher moved this task from Backlog to Needs work on the Wikidata-Bridge board.
Addshore moved this task from incoming to in progress on the Wikidata board.Dec 11 2019, 11:47 AM
Charlie_WMDE updated the task description. (Show Details)Dec 11 2019, 2:09 PM
Charlie_WMDE removed Charlie_WMDE as the assignee of this task.Dec 11 2019, 3:34 PM
Charlie_WMDE moved this task from Needs work to Ready for story writing on the Wikidata-Bridge board.
Charlie_WMDE added a subscriber: Charlie_WMDE.
darthmon_wmde set the point value for this task to 5.Jan 14 2020, 11:13 AM
darthmon_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Bridge board.

Change 570291 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/Wikibase@master] bridge: Add messages for ambiguous statement error

https://gerrit.wikimedia.org/r/570291

Change 570320 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/Wikibase@master] bridge: Create ErrorAmbiguousStatement component

https://gerrit.wikimedia.org/r/570320

Change 570291 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Add messages for ambiguous statement error

https://gerrit.wikimedia.org/r/570291

Change 570337 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/Wikibase@master] bridge: Add ErrorAmbiguousStatement to ErrorWrapper

https://gerrit.wikimedia.org/r/570337

Change 570368 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/Wikibase@master] Add ErrorAmbiguousStatement to Storybook

https://gerrit.wikimedia.org/r/570368

Change 570320 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Create ErrorAmbiguousStatement component

https://gerrit.wikimedia.org/r/570320

Change 570337 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Add ErrorAmbiguousStatement to ErrorWrapper

https://gerrit.wikimedia.org/r/570337

Change 570368 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Add ErrorAmbiguousStatement to Storybook

https://gerrit.wikimedia.org/r/570368

Change 570634 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: WIP: show property labels in bailout components

https://gerrit.wikimedia.org/r/570634

Change 570634 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: show property labels in bailout components

https://gerrit.wikimedia.org/r/570634

Change 570921 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: fix vertical marging of bailout heading

https://gerrit.wikimedia.org/r/570921

Change 570921 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: fix vertical marging of bailout heading

https://gerrit.wikimedia.org/r/570921

question: is this "String Property: multiple statement" the property name? seems weird to me.

question: is this "String Property: multiple statement" the property name? seems weird to me.

It is. But feel free to change it. The goal was to communicate that this property exists specifically to test otherwise valid properties/statements that just has multiple values.

Mh, just noticed, that "multiple statements" is not really, right, should be "multiple values". I changed that. Feel free to change it more, maybe the description of the property is enough to communicate its purpose?

question: is this "String Property: multiple statement" the property name? seems weird to me.

It is. But feel free to change it. The goal was to communicate that this property exists specifically to test otherwise valid properties/statements that just has multiple values.

Mh, just noticed, that "multiple statements" is not really, right, should be "multiple values". I changed that. Feel free to change it more, maybe the description of the property is enough to communicate its purpose?

okay, but this would never occur in production, right? i think that was my actual question. sorry for not specifying.

Charlie_WMDE closed this task as Resolved.Feb 10 2020, 12:46 PM
Charlie_WMDE moved this task from Verification to Done on the Wikidata-Bridge-Sprint-13 board.

looks good!

[...]

okay, but this would never occur in production, right? i think that was my actual question. sorry for not specifying.

Yeah, in production that would be "taxon name" or "commons category" or something similar.